    <!DOCTYPE html>
    <html>
    
        <head>
            <meta charset="utf-8">
            <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
            <title>Goal</title>
            <meta name="description" content="Soccer playing robot.">
            <link rel="stylesheet" href="main.css">
            <script src="processing.js" ></script>
        <link rel="icon" type="img/png" href="icon.png">
        </head>
        <body>
            
             <img alt="pattern" src="Udayan Umapathi2.png" height="80"
                width="300">
            
            <br>
            <br>

           
            
            <ulh>
                <lih><a  class="menu" href="index.html" >home</a></lih>
                <lih><a class="menu" href="projects.html" >projects</a></lih>
                <lih><a class="menu" href="research.html">research</a></lih>
                <lih><a class="menu" href="hobby.html">obsession</a></lih>
            </ulh>
        
            
            <hr class="style-one">
            
            <p> <b>Goal !</b> by Udayan Umapathi, <a href="people.html">Rishi Raghav</a> and <a href="people.html">Adarsh Vecham</a></p>
            <hr class="style-six">  
            
            
            <p>Can robots play soccer? That is the question we (me and my buddies) tried answering in through this project. We built a vision based robot that can play soccer. The robot had a simple mechanism to grab a ball and steer it towards a goal post.</p> 
                        
            <img class="centering"
                alt="Soccer Robot" src="soccerRobot.jpeg" height="300"
                width="420">
            
            <img class="centering"
                alt="Soccer Arena" src="soccerArena.jpeg" height="300"
                width="420">
            
            <p> An overhead camera captured images of the arena on which the robot was deployed. Simple edge detection and color filtering algorithms were used to identify colored balls on the arena and steer the robot towards the ball. The algorithm also included intelligence to identify opponent robot and avoid collision. </p>
            
            <p><i>My role:</i> Algorithm development, Chassis and mechanical design. <br>
            <i>Materials used:</i> Wood, Switch board, Screws etc. <br>
            <i>Electronics:</i> Atmel AVR micro-controller, 434 MHz wireless modules, Logitech camera, Servo and DC motors.</p>
       
            <iframe src="//www.youtube.com/embed/fmmqYWwVj2c" frameborder="0" allowfullscreen></iframe>

            <hr class="style-seven" />            
            <p class="left">copyrights©2013 Udayan</p>
            <br style="clear: both" />  
            
        </body>
    </html>

